# Record TCefX509CertPrincipal

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefX509CertPrincipal = record`

## Description

Structure representing the issuer or subject field of an X.509 certificate.

NOTE: This struct is allocated DLL-side.

Implemented by ICefX509CertPrincipal.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_x509_certificate_capi.h">CEF source file: /include/capi/cef_x509_certificate_capi.h (cef_x509_cert_principal_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_display_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;`
| `get_common_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;`
| `get_locality_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;`
| `get_state_or_province_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;`
| `get_country_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;`
| `get_organization_names: procedure(self: PCefX509CertPrincipal; names: TCefStringList); stdcall;`
| `get_organization_unit_names: procedure(self: PCefX509CertPrincipal; names: TCefStringList); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_display_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;`
This item has no description.

| `get_common_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;`
This item has no description.

| `get_locality_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;`
This item has no description.

| `get_state_or_province_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;`
This item has no description.

| `get_country_name: function(self: PCefX509CertPrincipal): PCefStringUserFree; stdcall;`
This item has no description.

| `get_organization_names: procedure(self: PCefX509CertPrincipal; names: TCefStringList); stdcall;`
This item has no description.

| `get_organization_unit_names: procedure(self: PCefX509CertPrincipal; names: TCefStringList); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.